#ifndef TMHistogrammingCErrorFractionVsEq_H
#define TMHistogrammingCErrorFractionVsEq_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingCErrorFractionVsEq : public TMHistogramming {

 public:
  TMHistogrammingCErrorFractionVsEq();
  virtual ~TMHistogrammingCErrorFractionVsEq();

  virtual void   EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void   Draw(TPad *pad);
  virtual void   Reset();

 protected:
  TH1F    *fTheHisto;
  UInt_t  fTotalNumberErrorEvents[20];

};

#endif
